require_relative "../utils/line_separator"
require 'colorize'

class FoodViews 
  def index(food_database) 
    line_separator
    food_database.each do |food|
      puts "ID: #{food.id}"
      puts "Name: #{food.name}"
      puts "Color: #{food.color}"
      line_separator
    end 
  end 

  def new 
    puts 
    puts "Whats the name of the food you'd like to add?"
    print "> "
    name = gets.chomp
    puts "Whats the color of the food you'd like to add?"
    print "> "
    color = gets.chomp
    [name, color]
  end

  def menu 
    puts "What action would you like to take? 🍔"
    puts "1. Create a new food".colorize(:blue)
    puts "2. View all foods"
    puts "3. Exit"
    print "> "
    user_selection = gets.chomp.to_i
  end 

  def input_error
    puts
    puts "Wrong input ❌"
    puts "Please enter a number between 1 and 3" 
    puts
  end
end 