require_relative "harrisons_food_app/version"

# food require statements
# will be in scope when used in food controller
require_relative "harrisons_food_app/controllers/FoodController"
require_relative 'harrisons_food_app/models/Food'
require_relative 'harrisons_food_app/views/FoodViews'
require_relative 'harrisons_food_app/repositories/FoodRepository'

# main menu utility
require_relative "harrisons_food_app/utils/menu"


# instance of food controller and view
food_view = FoodViews.new
food_repository = FoodRepository.new
food_controller = FoodController.new(food_view, food_repository)

while true 
  # start app up
  menu(food_controller)
end 